<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-button (click)="logout()">
        <ion-icon slot="icon-only" name="power" color="danger"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-buttons slot="end">
      <ion-button (click)="changeTheme('sunny')">
        <ion-icon slot="icon-only" name="sunny" color="primary"></ion-icon>
      </ion-button>
      <ion-button (click)="changeTheme('moon')">
        <ion-icon slot="icon-only" name="moon" color="secondary"></ion-icon>
      </ion-button>
      <ion-button (click)="changeTheme('star')">
        <ion-icon slot="icon-only" name="star" color="tertiary"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div padding>
    <ion-button *ngIf="idUser == 3" expand="block" color="tertiary" style="color: #000000" routerDirection="'root'"
      routerLink="/empresas-nova" routerLinkActive="active">Nova Empresa</ion-button>
    <ion-button *ngIf="idUser == 3" expand="block" color="tertiary" style="color: #000000" routerDirection="'root'"
      routerLink="/qrcodes-novo" routerLinkActive="active">Novo QRCode</ion-button>
    <ion-button *ngIf="botaoLancamento === 'entrada'" expand="block" color="secondary" style="color: #000000"
      routerDirection="'root'" routerLink="/lancamentos-novo" routerLinkActive="active">Lançar
      Entrada
    </ion-button>
    <ion-button *ngIf="botaoLancamento === 'saida'" (click)="saida()" expand="block" color="tertiary"
      style="color: #000000" routerDirection="'root'" routerLink="/lancamentos-novo" routerLinkActive="active">Lançar
      Saída
    </ion-button>
    <ion-button *ngIf="botaoLancamento === 'sincronizar'" (click)="sync()" expand="block" style="color: #000000">
      Sincronizar
    </ion-button>
    <ion-button *ngIf="botaoLancamento === 'carregando'" class="btn-login" expand="block">
      <ion-spinner name="crescent"></ion-spinner>
    </ion-button>
  </div>

  <ion-list *ngIf="entryLocal">
    <h1>Lançamentos Pendentes</h1>
    <ion-item>
      <ion-label>
        <h3 *ngIf="idUser == 3">Id Usuário: {{ entryLocal.id_usuario }}</h3>
        <h3>Entrada: {{ entryLocal.entrada | date: 'dd/MM/yyyy HH:mm' }}</h3>
        <h3 *ngIf="entryLocal.saida">Saída: {{ entryLocal.saida | date: 'dd/MM/yyyy HH:mm' }}</h3>
      </ion-label>
    </ion-item>
  </ion-list>

  <ion-list>
    <h1>Lançamentos Online</h1>
    <ion-item *ngFor="let entry of entries">
      <ion-label>
        <h3 *ngIf="idUser == 3">Id Usuário: {{ entry.id_usuario }}</h3>
        <h3>Entrada: {{ entry.entrada | date: 'dd/MM/yyyy HH:mm' }}</h3>
        <h3 *ngIf="entry.saida">Saída: {{ entry.saida | date: 'dd/MM/yyyy HH:mm' }}</h3>
      </ion-label>
    </ion-item>
  </ion-list>

  <ion-list lines="full" *ngIf="loading === true">
    <ion-item *ngFor="let i of fakeArrDataLoad(15)">
      <ion-label>
        <h2>
          <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
        </h2>
        <h3>
          <ion-skeleton-text animated style="width: 35%"></ion-skeleton-text>
        </h3>
        <h3>
          <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
        </h3>
      </ion-label>
    </ion-item>
  </ion-list>
</ion-content>